Package com.trilead.ssh2.crypto

# Class SimpleDERReader

java.lang.Object
com.trilead.ssh2.crypto.SimpleDERReader

public class SimpleDERReader extends Object
SimpleDERReader.

## Constructor Summary

Constructors
Constructor
Description
`SimpleDERReader(byte[] b)`
`SimpleDERReader(byte[] b, int off, int len)`

## Method Summary

Modifier and Type
Method
Description
`int`
`available()`
`int`
`ignoreNextObject()`
`BigInteger`
`readInt()`
`byte[]`
`readOctetString()`
`byte[]`
`readSequenceAsByteArray()`
`void`
`resetInput(byte[] b)`
`void`
`resetInput(byte[] b, int off, int len)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SimpleDERReader

public SimpleDERReader(byte[] b)

### SimpleDERReader

public SimpleDERReader(byte[] b, int off, int len)

## Method Details

### resetInput

public void resetInput(byte[] b)

### resetInput

public void resetInput(byte[] b, int off, int len)

### available

public int available()

### ignoreNextObject

public int ignoreNextObject() throws IOException

Throws:
  `IOException`

### readInt

public BigInteger readInt() throws IOException

Throws:
  `IOException`

### readSequenceAsByteArray

public byte[] readSequenceAsByteArray() throws IOException

Throws:
  `IOException`

### readOctetString

public byte[] readOctetString() throws IOException

Throws:
  `IOException`